Bug 803760 - Gnome-shell should resolve problems with extension conflicts
Gnome-shell should resolve problems with extension conflicts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 813818 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 11:28 EDT by Petr Schindler
Modified: 2013-08-01 02:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 673613 None None None Never

  None (edit)
Description Petr Schindler 2012-03-15 11:28:03 EDT
Description of problem:
When there is installed one extension two times, gnome-shell crashes (sometimes even without 'Oh no..' message)

I've installed one extension from file by gnome-tweak-tool and then I've installed the same extension by yum install .... When I tried to restart gnome-shell (Alt+F2 and 'r'), gnome-shell crashed.

Those extensions don't have to be enabled.

Version-Release number of selected component (if applicable):
gnome-shell-3.3.90-2.fc17.x86_64
Fedora 17 fully updated TC1

How reproducible:
always

Steps to Reproduce:
1. install gnome-tweak-tools and run it
2. In Shell Extensions menu click on button next to 'Install Shell Extension'
3. Choose file with extension to install it
4. Restart gnome-shell (press Alt+F2 and run command 'r')
5. Install the same extension by yum
6. Restart gnome-shell

  
Actual results:
gnome-shell crashes

Expected results:
Gnome-shell should choose witch of two instances (local or global) of extension should be used. The second way is not to allow to install the second instance of the same extension, but this seems to me very difficult, because there is quite a mess in extensions installation (you can install from repository, gnome-tweak-tool and from web)

Additional info:
Comment 1 Owen Taylor 2012-04-18 14:49:55 EDT
*** Bug 813818 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-07-03 21:42:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 02:27:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.